@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;600;700&display=swap");

body {
    margin: 0;
    padding: 0;
}

.FloatingBrand {
    z-index: 100;
    width: 100%;
    display: block;
    position: absolute;
    top: 0;
    background-color: transparent;
    margin-left: 60px;
}

.FloatingBrand img {
    height: 100px;
    background-color: rgba(255,255,255,0.3);
    padding: 30px 10px 20px 10px;
}

.Template {
    position: relative;
    width: 100%;
    min-height: 100%;
    font-family: "Roboto", sans-serif;
    font-size: 17px;
    line-height: 1.5;
    display: flex;
    flex-direction: column;
    -webkit-font-smoothing: antialiased;
}

.Template b,
.Template strong {
    font-weight: 700;
}

.Header {
    background-color: transparent;
    background-size: cover;
    background-position: center;
    height: 350px;
    width: 100%;
    position: relative;
    overflow: hidden;
}

@media(max-width: 45em) {
    .FloatingBrand {
        display: flex;
        justify-content: center;
        margin-left: 0;
    }

    .Header {
        height: 200px;
    }
}

.Header::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
}

.Header__title {
    color: #FFF;
    text-align: center;
    margin: 0;
    font-weight: 600;
    font-size: 1.8em;
}

.Header__title p {
    margin: 0;
    padding: 0;
}

.Header img {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100% !important;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transform: translate(-50%, -50%);
    max-height: 100% !important;
}

.Promotional {
    background-color: #130F40;
    color: #FFF;
    padding: 1em;
    text-align: center;
    font-size: 1em;
}

.Promotional p {
    margin: 0;
    padding: 0;
}

.Product {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
}

.Gallery,
.Details {
    width: calc(100% - 32px);
    padding: 16px;
}

.Gallery {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.Gallery input {
    display: none;
}

.Gallery__preview {
    width: calc(100% - 1em);
    display: none;
    align-items: center;
    justify-content: center;
    height: 20em;
    padding: 0.5em;
    border-radius: 0.2em;
    -webkit-border-radius: 0.2em;
    -moz-border-radius: 0.2em;
}

#image1:checked ~ #show1,
#image2:checked ~ #show2,
#image3:checked ~ #show3,
#image4:checked ~ #show4,
#image5:checked ~ #show5,
#image6:checked ~ #show6,
#image7:checked ~ #show7,
#image8:checked ~ #show8,
#image9:checked ~ #show9,
#image10:checked ~ #show10,
#image11:checked ~ #show11,
#image12:checked ~ #show12,
#image13:checked ~ #show13,
#image14:checked ~ #show14,
#image15:checked ~ #show15 {
    display: flex;
}

.Gallery__preview img {
    max-width: 100%;
    max-height: 100%;
    border-radius: 0.2em;
    -webkit-border-radius: 0.2em;
    -moz-border-radius: 0.2em;
}

.Gallery__thumbnails {
    display: flex;
    flex-wrap: wrap;
    flex-shrink: 0;
    flex-grow: 0;
    margin-top: 0.5em;
    justify-content: center;
}

.Gallery__thumbnail {
    max-width: 25%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin: 0.25em;
    height: 3em;
    padding: 0.2em;
    border-radius: 0.2em;
    -webkit-border-radius: 0.2em;
    -moz-border-radius: 0.2em;
}

.Gallery__thumbnail:hover {
    cursor: pointer;
    box-shadow: 0 0 0 0.2em rgba(0, 0, 0, 0.1);
}

.Gallery__thumbnail img {
    max-width: 100%;
    max-height: 100%;
    border-radius: 0.2em;
    -webkit-border-radius: 0.2em;
    -moz-border-radius: 0.2em;
}

.Details {
    margin-top: 1em;
}

.Details__brand {
    color: #e00c19;
    text-transform: uppercase;
    font-weight: 400;
    font-size: 18px;
    margin: 0;
    padding: 0;
}

.Details__title {
    color: #333333;
    font-weight: 700;
    font-size: 36px;
    margin-bottom: 5px;
    margin-top: 0;
}

.Details__description {
    font-size: 15px;
    color: #666666;
    line-height: 1.5;
}

.Tabs {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.Tabs input {
    display: none;
}

.Tab {
    display: none;
    width: 100%;
    background-color: #f4f4f4;
    color: rgba(0, 0, 0, 0.7);
    font-family: "Roboto", sans-serif;
}

.Tab video {
    max-width: 40em;
    width: 100%;
    margin: 0 auto 1em;
    display: block;
}

.Tab__container {
    padding: 2em;
}

.Tabs__label {
    padding: 0.5em 1em;
    color: #323232;
    background-color: #f4f4f4;
    text-transform: uppercase;
    margin-right: 10px;
    font-family: "Roboto", sans-serif;
    font-size: 14px;
    font-weight: 600;
}

.Tabs__label:last-child {
    margin-right: 0;
}

.Tabs__label:hover {
    cursor: pointer;
    color: rgba(0, 0, 0, 0.9);
    transition: color 200ms ease-in-out, background-color 200ms ease-in-out;
}

.Footer {
    position: relative;
    font-size: 14px;
    font-weight: 400;
    text-transform: none;
    line-height: 24px;
    letter-spacing: 1px;
    color: #ADACAC;
    padding: 2rem;
    display: flex;
    justify-content: center;
    background-color: #1b1b1b;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%23636363' fill-opacity='0.4' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
}

.Footer::before {
    /*content: "";*/
    /*position: absolute;*/
    /*width: 100%;*/
    /*height: 1px;*/
    /*background-color: #ADACAC;*/
    /*bottom: 45px;*/
    /*left: 0;*/
}

.Footer__brand {
    width: 150px;
    height: auto;
    z-index: 100;
    padding: 0 10px;
}

#tab1:checked ~ #showtab1,
#tab2:checked ~ #showtab2,
#tab3:checked ~ #showtab3,
#tab4:checked ~ #showtab4,
#tab5:checked ~ #showtab5 {
    display: block;
}

.Tabs input:checked + .Tabs__label {
    color: #fff !important;
    transition: color 200ms ease-in-out, background-color 200ms ease-in-out,
    border-color 200ms ease-in-out;
    background-color: #df0d1a;
}

.Categories__wrapper, .Categories {
    width: 100%;
}

.Categories {
    padding: 16px;
    width: calc(100% - 32px);
}

.Categories__header {
    font-weight: 700;
    font-size: 16px;
    margin-bottom: 24px;
    margin-top: 24px;
}

.Categories__grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 8px;
    width: 100%;
}

@media (min-width: 45em) {
    .Categories__grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

.Categories--mobile {
    display: block;
}

.Categories--desktop {
    display: none;
}

@media (min-width: 45em) {
    .Categories--mobile {
        display: none;
    }

    .Categories--desktop {
        display: block;
    }
}

.Category {
    position: relative;
    padding: 8px;
    text-decoration: none;
    background-color: #df0d1a;
}

.Category__name {
    font-weight: 600;
    font-size: 13px;
    color: #fff;
}

.Category:hover {
    transition: 100ms linear all;
    text-decoration: underline;
}

.Category::after {
    content: "";
    position: absolute;
    right: 8px;
    top: 0;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2212%22%20height%3D%2212%22%20viewBox%3D%220%200%2012%2012%22%3E%3Ctitle%3Edown-arrow%3C%2Ftitle%3E%3Cg%20fill%3D%22%23FFFFFF%22%3E%3Cpath%20d%3D%22M10.293%2C3.293%2C6%2C7.586%2C1.707%2C3.293A1%2C1%2C0%2C0%2C0%2C.293%2C4.707l5%2C5a1%2C1%2C0%2C0%2C0%2C1.414%2C0l5-5a1%2C1%2C0%2C1%2C0-1.414-1.414Z%22%20fill%3D%22%23FFFFFF%22%3E%3C%2Fpath%3E%3C%2Fg%3E%3C%2Fsvg%3E");    height: 100%;
    width: 16px;
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-position: center;
    transform: rotate(-90deg);
    opacity: 0.8;
}

@media (min-width: 45em) {
    .Product {
        max-width: 1500px;
        margin: 0 auto;
        padding: 4em 2em;
        grid-template-columns: repeat(2, 1fr);
    }

    .Details {
        font-size: 0.9em;
    }

    .Tab__container {
        max-width: 60em;
        margin: 0 auto;
    }
}